Bug 2172 - The rpm database has double entries that I can't get rid of
Summary: The rpm database has double entries that I can't get rid of
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-14 06:50 UTC by Marc MERLIN
Modified: 2015-01-07 23:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-14 13:41:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marc MERLIN 1999-04-14 06:50:18 UTC
moremagic [mc]# rpm -qa | grep gnome-libs
gnome-libs-1.0.3-3
gnome-libs-devel-1.0.3-3
gnome-libs-1.0.3-3
gnome-libs-devel-1.0.3-3
moremagic [mc]# rpm --rebuilddb
moremagic [mc]# rpm -qa | grep gnome-libs
gnome-libs-1.0.3-3
gnome-libs-devel-1.0.3-3
gnome-libs-1.0.3-3
gnome-libs-devel-1.0.3-3
moremagic [mc]# rpm --version
RPM version 2.9

I might have installed that package twice during my hand
upgrade to RH 5.9.1
moremagic [mc]# rpm -e --nodeps gnome-libs-1.0.3-3
error: "gnome-libs-1.0.3-3" specifies multiple packages
moremagic [mc]# rpm -e --allmatches --nodeps gnome-libs
gnome-libs-devel
(lots of errors about second removals that failed)

It looks like at least some version of rpm had a problem and
allowed duplicate installs.

Comment 1 Jeff Johnson 1999-04-14 13:41:59 UTC
This problem has been fixed in a later version of rpm.

The duplicate entries can be eliminated for most packages
by upgrading and/or removing and reinstalling as described
above.


Note You need to log in before you can comment on or make changes to this bug.